Package org.apache.commons.io.output

# Class LockableFileWriter.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<LockableFileWriter,LockableFileWriter.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<LockableFileWriter,LockableFileWriter.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<LockableFileWriter,LockableFileWriter.Builder>
org.apache.commons.io.output.LockableFileWriter.Builder

All Implemented Interfaces:
  `IOSupplier<LockableFileWriter>`

Enclosing class:
  `LockableFileWriter`

public static class LockableFileWriter.Builder extends AbstractStreamBuilder<LockableFileWriter,LockableFileWriter.Builder>
Builds a new `LockableFileWriter`.

Using a CharsetEncoder:

     LockableFileWriter w = LockableFileWriter.builder()
       .setPath(path)
       .setAppend(false)
       .setLockDirectory("Some/Directory")
       .get();

Since:
  2.12.0
See Also:
  - `get()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder of `LockableFileWriter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LockableFileWriter`
  `get()`
  Constructs a new instance.
  `LockableFileWriter.Builder`
  `setAppend(boolean append)`
  Sets whether to append (true) or overwrite (false).
  `LockableFileWriter.Builder`
  `setLockDirectory(File lockDirectory)`
  Sets the directory in which the lock file should be held.
  `LockableFileWriter.Builder`
  `setLockDirectory(String lockDirectory)`
  Sets the directory in which the lock file should be held.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder of `LockableFileWriter`.

- ## Method Details

  - ### get

    public LockableFileWriter get() throws IOException
    Constructs a new instance.

    You must set an aspect that supports `File` on this builder, otherwise, this method throws an exception.

    This builder uses the following aspects:

    - `File` is the target aspect.
    - `AbstractStreamBuilder.getCharset()`
    - append
    - lockDirectory
    Returns:
      a new instance.
    Throws:
      `UnsupportedOperationException` - if the origin cannot provide a File.
      `IllegalStateException` - if the `origin` is `null`.
      `IOException` - if an I/O error occurs converting to an `File` using `AbstractStreamBuilder.getFile()`.
    See Also:
      - `AbstractOrigin.getFile()`
      - `IOSupplier.getUnchecked()`

  - ### setAppend

    public LockableFileWriter.Builder setAppend(boolean append)
    Sets whether to append (true) or overwrite (false).
    Parameters:
      `append` - whether to append (true) or overwrite (false).
    Returns:
      `this` instance.

  - ### setLockDirectory

    public LockableFileWriter.Builder setLockDirectory(File lockDirectory)
    Sets the directory in which the lock file should be held.
    Parameters:
      `lockDirectory` - the directory in which the lock file should be held.
    Returns:
      `this` instance.

  - ### setLockDirectory

    public LockableFileWriter.Builder setLockDirectory(String lockDirectory)
    Sets the directory in which the lock file should be held.
    Parameters:
      `lockDirectory` - the directory in which the lock file should be held.
    Returns:
      `this` instance.